part of 'role_schedule_dialog_bloc.dart';

@immutable
class RoleScheduleDialogState {
  final List<RoleScheduleEntity> schedule;

  const RoleScheduleDialogState({required this.schedule});

  RoleScheduleDialogState copyWith({List<RoleScheduleEntity>? schedule}) {
    return RoleScheduleDialogState(
      schedule: schedule ?? this.schedule,
    );
  }
}
